/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BASE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGUREDCODE') 
CREATE TABLE T_BD_CONFIGUREDCODE (
    FID BIGINT DEFAULT 0  NOT NULL,
    FNUMBER VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FMATERIAL BIGINT DEFAULT 0 NOT NULL,
    FCREATETYPE VARCHAR(8) DEFAULT ' ' NOT NULL,
    FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
    FDESCRIPTION_TAG NCLOB NULL,
    FCONFIGUREDCODE VARCHAR(2000) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CONFIGUREDCODE_L') 
CREATE TABLE T_BD_CONFIGUREDCODE_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0  NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BASE_table.sql **/